Bug 208916 - Extract some targets into separate scripts
Summary: Extract some targets into separate scripts
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mathieu Arnold
URL: https://reviews.freebsd.org/D5997
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-19 14:14 UTC by Mathieu Arnold
Modified: 2016-05-26 09:12 UTC (History)
3 users (show)

See Also:
mat: exp-run?


Attachments
patch-v1 (27.99 KB, patch)
2016-04-19 14:14 UTC, Mathieu Arnold
no flags Details | Diff
patch-v2 (31.70 KB, patch)
2016-04-21 12:44 UTC, Mathieu Arnold
no flags Details | Diff
patch-v3 (31.71 KB, patch)
2016-04-21 12:47 UTC, Mathieu Arnold
no flags Details | Diff
patch-v4 (32.33 KB, patch)
2016-05-09 14:47 UTC, Mathieu Arnold
no flags Details | Diff
patch-v5 (34.81 KB, patch)
2016-05-18 13:30 UTC, Mathieu Arnold
no flags Details | Diff
patch-v6 (35.30 KB, patch)
2016-05-23 13:13 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2016-04-19 14:14:51 UTC
Created attachment 169470 [details]
patch-v1
Comment 1 Mathieu Arnold freebsd_committer 2016-04-19 14:15:13 UTC
Code review at D5997
Comment 2 Mathieu Arnold freebsd_committer 2016-04-19 14:16:53 UTC
Note that it's mainly a test of make fetch that I need, so, a clean distfiles would be nice.
Comment 3 Mathieu Arnold freebsd_committer 2016-04-21 12:44:01 UTC
Created attachment 169520 [details]
patch-v2

Add some more targets
Comment 4 Mathieu Arnold freebsd_committer 2016-04-21 12:47:06 UTC
Created attachment 169521 [details]
patch-v3

small fix
Comment 5 Antoine Brodin freebsd_committer 2016-05-06 11:45:12 UTC
There are at least 2 problems:

- metaports or ports that don't fetch anything now try to fetch and fail

- patch_sites doesn't seem correctly handled (graphics/png for instance)
Comment 6 Mathieu Arnold freebsd_committer 2016-05-09 14:47:11 UTC
Created attachment 170145 [details]
patch-v4

This fixes the reported regressions.
Comment 7 Antoine Brodin freebsd_committer 2016-05-12 21:58:06 UTC
Exp-run results:

http://package22.nyi.freebsd.org/build.html?mastername=101i386-default-PR208916&build=2016-05-12_18h55m22s

New failures:

+ {"origin"=>"accessibility/linux-f10-atk", "pkgname"=>"linux-f10-atk-1.24.0_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"archivers/linux-f10-ucl", "pkgname"=>"linux-f10-ucl-1.03", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"astro/geographiclib", "pkgname"=>"geographiclib-1.46", "phase"=>"fetch", "errortype"=>"fetch"}
+ {"origin"=>"audio/cantata", "pkgname"=>"cantata-1.5.1_3", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"audio/libtremor", "pkgname"=>"libtremor-1.2.1.s20150105", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"audio/linux-f10-alsa-lib", "pkgname"=>"linux-f10-alsa-lib-1.0.21_5", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"audio/linux-f10-arts", "pkgname"=>"linux-f10-arts-1.5.10_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"audio/linux-f10-libaudiofile", "pkgname"=>"linux-f10-libaudiofile-0.2.6", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"audio/linux-f10-libogg", "pkgname"=>"linux-f10-libogg-1.1.3", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"audio/linux-f10-mikmod", "pkgname"=>"linux-f10-mikmod-3.2.0", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"audio/squeezeboxserver-dynamicplaylist", "pkgname"=>"squeezeboxserver-dynamicplaylist-2.8.6_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"audio/squeezeboxserver-trackstat", "pkgname"=>"squeezeboxserver-trackstat-2.11.3435_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"benchmarks/nuttcp", "pkgname"=>"nuttcp-7.3.2", "phase"=>"fetch", "errortype"=>"fetch"}
+ {"origin"=>"databases/linux-f10-sqlite3", "pkgname"=>"linux-f10-sqlite3-3.5.9_2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"databases/py-pyPgSQL", "pkgname"=>"py27-pyPgSQL-2.5.1_4", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"deskutils/gnome-shell-extension-backslide", "pkgname"=>"gnome-shell-extension-backslide-0.0.0.20140520_3", "phase"=>"checksum", "errortype"=>"checksum"}
+ {"origin"=>"deskutils/strigi", "pkgname"=>"strigi-0.7.8_2", "phase"=>"checksum", "errortype"=>"???"}
+ {"origin"=>"devel/autogen", "pkgname"=>"autogen-5.18.4_2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"devel/fb-adb", "pkgname"=>"fb-adb-1.4.4.124", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"devel/geany-plugins", "pkgname"=>"geany-plugins-1.25", "phase"=>"checksum", "errortype"=>"???"}
+ {"origin"=>"devel/gettext", "pkgname"=>"gettext-0.19.7", "phase"=>"checksum", "errortype"=>"???"}
+ {"origin"=>"devel/gitlab-shell", "pkgname"=>"gitlab-shell-2.7.2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"devel/gwenhywfar", "pkgname"=>"gwenhywfar-4.14.0_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"devel/libdict", "pkgname"=>"libdict-0.2.1_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"devel/linux-f10-libglade2", "pkgname"=>"linux-f10-libglade2-2.6.3_2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"devel/linux-f10-libsigc++20", "pkgname"=>"linux-f10-libsigc++20-2.2.2_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"devel/linux-f10-nspr", "pkgname"=>"linux-f10-nspr-4.7.6_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"devel/py-InlineEgg", "pkgname"=>"py27-InlineEgg-1.08_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"devel/py-qt4", "pkgname"=>"py27-qt4-4.11.4", "phase"=>"checksum", "errortype"=>"???"}
+ {"origin"=>"devel/py-qt5", "pkgname"=>"py27-qt5-5.5.1", "phase"=>"checksum", "errortype"=>"???"}
+ {"origin"=>"devel/qt4", "pkgname"=>"qt4-4.8.7", "phase"=>"checksum", "errortype"=>"???"}
+ {"origin"=>"devel/qt5", "pkgname"=>"qt5-5.5.1", "phase"=>"checksum", "errortype"=>"???"}
+ {"origin"=>"dns/linux-f10-libasyncns", "pkgname"=>"linux-f10-libasyncns-0.7", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"editors/vile", "pkgname"=>"vile-9.8q", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/xvile", "pkgname"=>"xvile-9.8q", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"games/narcissu2", "pkgname"=>"narcissu2-1.1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"graphics/frei0r-plugins", "pkgname"=>"frei0r-plugins-1.3", "phase"=>"checksum", "errortype"=>"???"}
+ {"origin"=>"graphics/linux-f10-gdk-pixbuf", "pkgname"=>"linux-f10-gdk-pixbuf-0.22.0_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"graphics/linux-f10-glew", "pkgname"=>"linux-f10-glew-1.5.1_2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"graphics/linux-f10-imlib", "pkgname"=>"linux-f10-imlib-1.9.15_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"graphics/linux-f10-jpeg", "pkgname"=>"linux-f10-jpeg-6b", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"graphics/linux-f10-png", "pkgname"=>"linux-f10-png-1.2.37_2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"graphics/linux-f10-ungif", "pkgname"=>"linux-f10-ungif-4.1.3", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"graphics/waifu2x-converter-cpp", "pkgname"=>"waifu2x-converter-cpp-1.0.0.410", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"japanese/eb", "pkgname"=>"ja-eb-4.4.3_4", "phase"=>"fetch", "errortype"=>"fetch"}
+ {"origin"=>"japanese/mecab-ipadic", "pkgname"=>"ja-mecab-ipadic-2.7.0.20070801_1", "phase"=>"checksum", "errortype"=>"???"}
+ {"origin"=>"lang/linux-f10-tcl85", "pkgname"=>"linux-f10-tcl85-8.5.3_2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"lang/mono", "pkgname"=>"mono-4.2.3.4", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"lang/tcl-manual", "pkgname"=>"tcl-manual-20131001", "phase"=>"fetch", "errortype"=>"fetch"}
+ {"origin"=>"multimedia/linux-f10-libtheora", "pkgname"=>"linux-f10-libtheora-1.0rc1_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"multimedia/linux-f10-libv4l", "pkgname"=>"linux-f10-libv4l-0.6.2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"multimedia/xanim", "pkgname"=>"xanim-2.92.0_2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"net-im/libaccounts-glib", "pkgname"=>"libaccounts-glib-1.21", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"net-mgmt/nagios-check_dhcp.pl", "pkgname"=>"nagios-check_dhcp.pl-0.1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"net/asio", "pkgname"=>"asio-1.10.4", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"net/freenet6", "pkgname"=>"freenet6-6.0.1_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"net/linux-f10-nss_ldap", "pkgname"=>"linux-f10-nss_ldap-264_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"net/linux-f10-openldap", "pkgname"=>"linux-f10-openldap-2.4.12_2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"security/courier-authlib", "pkgname"=>"courier-authlib-0.66.3", "phase"=>"checksum", "errortype"=>"???"}
+ {"origin"=>"security/linux-f10-libgcrypt", "pkgname"=>"linux-f10-libgcrypt-1.4.4_2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"security/linux-f10-libgpg-error", "pkgname"=>"linux-f10-libgpg-error-1.6_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"security/linux-f10-libtasn1", "pkgname"=>"linux-f10-libtasn1-1.5_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"security/linux-f10-openssl", "pkgname"=>"linux-f10-openssl-0.9.8g_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"shells/ksh93", "pkgname"=>"ksh93-20120801_2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"sysutils/geomWatch", "pkgname"=>"geomWatch-1.3.0_2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"sysutils/linux-f10-procps", "pkgname"=>"linux-f10-procps-3.2.7", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"textproc/kmfl-sil-ezra", "pkgname"=>"kmfl-sil-ezra-2.4_5", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"textproc/kmfl-sil-galatia", "pkgname"=>"kmfl-sil-galatia-1.03_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"textproc/kmfl-sil-ipa-unicode", "pkgname"=>"kmfl-sil-ipa-unicode-1.2_4", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"textproc/kmfl-sil-panafrican-latin", "pkgname"=>"kmfl-sil-panafrican-latin-20090831_4", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"textproc/kmfl-sil-yi", "pkgname"=>"kmfl-sil-yi-20020903_4", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"textproc/linux-f10-aspell", "pkgname"=>"linux-f10-aspell-0.60.6_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"textproc/linux-f10-expat", "pkgname"=>"linux-f10-expat-2.0.1_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"textproc/linux-f10-libxml2", "pkgname"=>"linux-f10-libxml2-2.7.3_2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"www/gitlab-workhorse", "pkgname"=>"gitlab-workhorse-0.7.1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"www/kplaylist", "pkgname"=>"kplaylist-1.8.505_2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"www/piwigo", "pkgname"=>"piwigo-2.8.1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"www/trac-attachmentpolicy", "pkgname"=>"trac-attachmentpolicy-0.1.0.12775_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"www/trac-permredirect", "pkgname"=>"trac-permredirect-3.0_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"www/trac-tracdragdrop", "pkgname"=>"trac-tracdragdrop-0.12.0.10.12822_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"www/trac-watchlist", "pkgname"=>"trac-watchlist-1.0.11526_3", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"www/tt-rss", "pkgname"=>"tt-rss-16.1.2016.02.23_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"www/xpi-splash", "pkgname"=>"xpi-splash-2.0.2", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"x11-fonts/andika", "pkgname"=>"Andika-1.004_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"x11-fonts/charis", "pkgname"=>"CharisSIL-4.114_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"x11-fonts/doulos", "pkgname"=>"DoulosSIL-4.112_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"x11-fonts/gentium-basic", "pkgname"=>"GentiumBasic-110_3", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"x11-fonts/gentium-plus", "pkgname"=>"GentiumPlus-5.000", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"x11-fonts/padauk", "pkgname"=>"padauk-2.8_1", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"x11-themes/qtcurve", "pkgname"=>"qtcurve-1.8.18", "phase"=>"checksum", "errortype"=>"???"}

Failure logs:

http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-atk-1.24.0_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-ucl-1.03.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/geographiclib-1.46.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/cantata-1.5.1_3.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/libtremor-1.2.1.s20150105.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-alsa-lib-1.0.21_5.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-arts-1.5.10_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-libaudiofile-0.2.6.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-libogg-1.1.3.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-mikmod-3.2.0.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/squeezeboxserver-dynamicplaylist-2.8.6_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/squeezeboxserver-trackstat-2.11.3435_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/nuttcp-7.3.2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-sqlite3-3.5.9_2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/py27-pyPgSQL-2.5.1_4.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/gnome-shell-extension-backslide-0.0.0.20140520_3.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/strigi-0.7.8_2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/autogen-5.18.4_2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/fb-adb-1.4.4.124.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/geany-plugins-1.25.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/gettext-0.19.7.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/gitlab-shell-2.7.2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/gwenhywfar-4.14.0_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/libdict-0.2.1_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-libglade2-2.6.3_2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-libsigc++20-2.2.2_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-nspr-4.7.6_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/py27-InlineEgg-1.08_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/py27-qt4-4.11.4.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/py27-qt5-5.5.1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/qt4-4.8.7.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/qt5-5.5.1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-libasyncns-0.7.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/vile-9.8q.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/xvile-9.8q.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/narcissu2-1.1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/frei0r-plugins-1.3.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-gdk-pixbuf-0.22.0_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-glew-1.5.1_2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-imlib-1.9.15_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-jpeg-6b.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-png-1.2.37_2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-ungif-4.1.3.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/waifu2x-converter-cpp-1.0.0.410.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/ja-eb-4.4.3_4.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/ja-mecab-ipadic-2.7.0.20070801_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-tcl85-8.5.3_2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/mono-4.2.3.4.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/tcl-manual-20131001.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-libtheora-1.0rc1_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-libv4l-0.6.2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/xanim-2.92.0_2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/libaccounts-glib-1.21.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/nagios-check_dhcp.pl-0.1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/asio-1.10.4.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/freenet6-6.0.1_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-nss_ldap-264_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-openldap-2.4.12_2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/courier-authlib-0.66.3.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-libgcrypt-1.4.4_2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-libgpg-error-1.6_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-libtasn1-1.5_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-openssl-0.9.8g_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/ksh93-20120801_2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/geomWatch-1.3.0_2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-procps-3.2.7.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/kmfl-sil-ezra-2.4_5.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/kmfl-sil-galatia-1.03_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/kmfl-sil-ipa-unicode-1.2_4.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/kmfl-sil-panafrican-latin-20090831_4.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/kmfl-sil-yi-20020903_4.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-aspell-0.60.6_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-expat-2.0.1_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/linux-f10-libxml2-2.7.3_2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/gitlab-workhorse-0.7.1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/kplaylist-1.8.505_2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/piwigo-2.8.1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/trac-attachmentpolicy-0.1.0.12775_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/trac-permredirect-3.0_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/trac-tracdragdrop-0.12.0.10.12822_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/trac-watchlist-1.0.11526_3.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/tt-rss-16.1.2016.02.23_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/xpi-splash-2.0.2.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/Andika-1.004_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/CharisSIL-4.114_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/DoulosSIL-4.112_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/GentiumBasic-110_3.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/GentiumPlus-5.000.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/padauk-2.8_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-12_18h55m22s/logs/errors/qtcurve-1.8.18.log
Comment 8 commit-hook freebsd_committer 2016-05-18 11:29:10 UTC
A commit references this bug:

Author: mat
Date: Wed May 18 11:28:43 UTC 2016
New revision: 415433
URL: https://svnweb.freebsd.org/changeset/ports/415433

Log:
  Only use the :SOURCE group when it is actually defined.

  PR:		208916
  With hat:	portmgr
  Sponsored by:	Absolight

Changes:
  head/Mk/bsd.linux-rpm.mk
Comment 9 Mathieu Arnold freebsd_committer 2016-05-18 11:37:47 UTC
(Taking notes)

deskutils/gnome-shell-extension-backslide -> the checksum is wrong anyway.
Comment 10 commit-hook freebsd_committer 2016-05-18 11:57:13 UTC
A commit references this bug:

Author: mat
Date: Wed May 18 11:56:54 UTC 2016
New revision: 415434
URL: https://svnweb.freebsd.org/changeset/ports/415434

Log:
  Remove unused group.

  PR:		208916
  Sponsored by:	Absolight

Changes:
  head/devel/fb-adb/Makefile
Comment 11 commit-hook freebsd_committer 2016-05-18 12:00:15 UTC
A commit references this bug:

Author: mat
Date: Wed May 18 11:59:57 UTC 2016
New revision: 415435
URL: https://svnweb.freebsd.org/changeset/ports/415435

Log:
  Change how the icon file is fetched, so that its name is more plain.

  PR:		208916
  Sponsored by:	Absolight

Changes:
  head/graphics/waifu2x-converter-cpp/Makefile
  head/graphics/waifu2x-converter-cpp/distinfo
Comment 12 commit-hook freebsd_committer 2016-05-18 12:57:19 UTC
A commit references this bug:

Author: mat
Date: Wed May 18 12:57:00 UTC 2016
New revision: 415440
URL: https://svnweb.freebsd.org/changeset/ports/415440

Log:
  Actually use the :main group.

  PR:		208916
  Sponsored by:	Absolight

Changes:
  head/multimedia/xanim/Makefile
Comment 13 Mathieu Arnold freebsd_committer 2016-05-18 13:30:29 UTC
Created attachment 170446 [details]
patch-v5

Fixed all the errors here.  I changed a few things, so starting over with an empty DISTDIR would be great.
Comment 14 Mathieu Arnold freebsd_committer 2016-05-18 13:31:53 UTC
back to antoine@
Comment 15 Antoine Brodin freebsd_committer 2016-05-20 14:29:30 UTC
New failures on 10.1 i386:

+ {"origin"=>"deskutils/gnome-shell-extension-backslide", "pkgname"=>"gnome-shell-extension-backslide-0.0.0.20140520_3", "phase"=>"checksum", "errortype"=>"checksum"}
+ {"origin"=>"sysutils/geomWatch", "pkgname"=>"geomWatch-1.3.0_2", "phase"=>"extract", "errortype"=>"fetch"}
+ {"origin"=>"www/xpi-splash", "pkgname"=>"xpi-splash-2.0.2", "phase"=>"extract", "errortype"=>"fetch"}

Failure logs:

http://package23.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-20_14h01m50s/logs/errors/gnome-shell-extension-backslide-0.0.0.20140520_3.log
http://package23.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-20_14h01m50s/logs/errors/geomWatch-1.3.0_2.log
http://package23.nyi.freebsd.org/data/101i386-default-PR208916/2016-05-20_14h01m50s/logs/errors/xpi-splash-2.0.2.log
Comment 16 Mathieu Arnold freebsd_committer 2016-05-20 14:40:32 UTC
deskutils/gnome-shell-extension-backslide: The checksum is wrong even with a pristine ports tree.

sysutils/geomWatch and www/xpi-splash: Seems like  transient error of the build box, talking about "no route to host"
Comment 17 Antoine Brodin freebsd_committer 2016-05-20 14:47:35 UTC
For geomwatch and xpi-splash, fetch and checksum succeed but extract fails (tries to fetch again)
Comment 18 Mathieu Arnold freebsd_committer 2016-05-20 15:25:43 UTC
$ make distclean extract
===>  Cleaning for geomWatch-1.3.0_2
===>  Deleting distfiles for geomWatch-1.3.0_2
===>   geomWatch-1.3.0_2 depends on file: /usr/local/sbin/pkg - found
=> geomWatch-1.3.0.tbz doesn't seem to exist in /home/mat/work/freebsd/distfiles/.
=> Attempting to fetch http://isis.poly.edu/~bk/geomWatch/geomWatch-1.3.0.tbz
geomWatch-1.3.0.tbz                           100% of  125 kB   36 kBps 00m03s
=> nvpair.h\?revision=279437\&view=co doesn't seem to exist in /home/mat/work/freebsd/distfiles/.
=> Attempting to fetch http://svnweb.freebsd.org/base/head/sys/cddl/compat/opensolaris/sys/nvpair.h\?revision=279437\&view=co
nvpair.h?revision=279437&view=co              100% of   13 kB 4606 kBps 00m00s
===> Fetching all distfiles required by geomWatch-1.3.0_2 for building
===>  Extracting for geomWatch-1.3.0_2
=> SHA256 Checksum OK for geomWatch-1.3.0.tbz.
=> SHA256 Checksum OK for nvpair.h\?revision=279437\&view=co.
$ cd ../../www/xpi-splash
$ make distclean extract
===>  Cleaning for xpi-splash-2.0.2
===>  Deleting distfiles for xpi-splash-2.0.2
===>   NOTICE:

The splash port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

===>   xpi-splash-2.0.2 depends on file: /usr/local/sbin/pkg - found
=> splash\!-2.0.2-fx+tb+sb.xpi doesn't seem to exist in /home/mat/work/freebsd/distfiles/xpi.
=> Attempting to fetch https://addons.cdn.mozilla.net/user-media/addons/2995/splash\!-2.0.2-fx+tb+sb.xpi
splash!-2.0.2-fx+tb+sb.xpi                    100% of   46 kB 1233 kBps 00m00s
===> Fetching all distfiles required by xpi-splash-2.0.2 for building
===>  Extracting for xpi-splash-2.0.2
=> SHA256 Checksum OK for xpi/splash\!-2.0.2-fx+tb+sb.xpi.
===>   xpi-splash-2.0.2 depends on file: /usr/local/bin/unzip - found
$

Works for me.  Though, this is 10.3, I'll try in a poudriere 10.1 jail.
Comment 19 Mathieu Arnold freebsd_committer 2016-05-20 16:18:40 UTC
I see some strange problem, I'll investigate (or rename the distfiles so that they don't contain "\".)
Comment 20 commit-hook freebsd_committer 2016-05-22 01:11:28 UTC
A commit references this bug:

Author: jbeich
Date: Sun May 22 01:11:24 UTC 2016
New revision: 415617
URL: https://svnweb.freebsd.org/changeset/ports/415617

Log:
  devel/fb-adb: make :p7zip group pass sanity check

  => android-ndk-r10e-linux-x86.bin doesn't seem to exist in /portdistfiles/.
  eval: _MASTER_SITES_p7zip: parameter not set
  *** Error code 2

  PR:		208916
  Reported by:	antoine (via exp-run)

Changes:
  head/devel/fb-adb/Makefile
Comment 21 Mathieu Arnold freebsd_committer 2016-05-23 13:13:58 UTC
Created attachment 170567 [details]
patch-v6

One more, fixed the latest two errors.
Comment 23 Mathieu Arnold freebsd_committer 2016-05-25 15:51:42 UTC
Ok, diaspora was ignored before because of the big distfile ignore I removed, it has been fixed since, the other one is still unfetchable anyway.
Comment 24 commit-hook freebsd_committer 2016-05-25 15:59:19 UTC
A commit references this bug:

Author: mat
Date: Wed May 25 15:58:32 UTC 2016
New revision: 415842
URL: https://svnweb.freebsd.org/changeset/ports/415842

Log:
  Extract the larger bsd.port.mk targets into separate scripts.

  Refactor all the fetch code so that there are not 6 slightly different
  versions of it but one that does it all.

  The targets that have been extracted are:
  - check-vulnerable
  - do-fetch
  - fetch-list
  - fetch-url-list-int
  - fetch-urlall-list
  - checksum.
  - makesum.
  - check-checksum-algorithms

  Run the fetch code directly from make makesum instead of calling make
  fetch, this is because some port change the options with OPTIONS_*_FORCE
  when make(makesum) to be able to add all distfiles in one go, which was
  a nice, non working, idea.

  PR:		208916
  Submitted by:	mat
  Exp-run by:	antoine
  With hat:	portmgr
  Sponsored by:	Absolight
  Differential Revision:	https://reviews.freebsd.org/D5997

Changes:
  head/Mk/Scripts/check-vulnerable.sh
  head/Mk/Scripts/checksum.sh
  head/Mk/Scripts/do-fetch.sh
  head/Mk/Scripts/functions.sh
  head/Mk/Scripts/makesum.sh
  head/Mk/bsd.port.mk
Comment 25 Oleg Strizhak 2016-05-25 18:31:32 UTC
(In reply to commit-hook from comment #24)

it seems to me, that the following happens as a result of this commit. See what's happen when i try to build ports (using just make or, as usually, by portsnap + portmaster):

[office] /usr/ports/textproc/expat2 $ make clean
===>  Cleaning for expat-2.1.1
[office] /usr/ports/textproc/expat2 $ make
/usr/ports/Mk/Scripts/check-vulnerable.sh: dp_PKGNAME: parameter not set
*** Error code 2

Stop.
make: stopped in /usr/ports/textproc/expat2
Comment 26 Mathieu Arnold freebsd_committer 2016-05-25 19:30:58 UTC
bapt fixed it a bit earlier, sorry about that, the target is disabled when PACKAGE_BUILDING and I must have forgotten to check it one last time before committing.